
package uk.co.bedroomcoders.jfxTest;

import javafx.scene.layout.GridPane;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import com.sun.javafx.geom.Vec3d;
import javafx.scene.Group;
import javafx.geometry.Insets;

public class PivotGui extends GridPane {
	
	Label xlabel = new Label("X");
	Label ylabel = new Label("Y");
	Label zlabel = new Label("Z");
	TextField xVal = new TextField();
	TextField yVal = new TextField();
	TextField zVal = new TextField();
	Group currentParent;
	
	PivotGui(Group parent) {
		super();
		setVisible(false);
		setStyle("-fx-background-color: #0080C0;");
		setVgap(16); setHgap(16);
		setPadding(new Insets(8));

		xVal.setEditable(false); yVal.setEditable(false); zVal.setEditable(false);
		
		setConstraints(xlabel, 0, 0);	setConstraints(xVal, 1, 0);
		setConstraints(ylabel, 0, 1);   setConstraints(yVal, 1, 1);
		setConstraints(zlabel, 0, 2);   setConstraints(zVal, 1, 2);
		
		this.getChildren().addAll(xlabel,xVal,ylabel,yVal,zlabel,zVal);
		parent.getChildren().addAll(this);
		currentParent = parent;
	}
	
	public void update(Pivot p) {
		Vec3d pos = p.getPosition();
		xVal.setText(String.format("%.2f", pos.x));
		yVal.setText(String.format("%.2f", pos.y));
		zVal.setText(String.format("%.2f", pos.z));
		currentParent.getChildren().remove(this);
		p.getChildren().addAll(this);
		currentParent=p;
		setVisible(true);
	}
	
	
}
